/**
 * AZARDI READER AND AZARDI INTERACTIVE ENGINE EXTENSIONS
 * Copyright 2007-2012 Infogrid Pacific Pte. Ltd. All rights reserved
 * Modified Date: 2012-04-25
 * 
 * @version: 1-2012-04-25
 */

/*
aie_loader.js - LABJs based loader for AIE engine. Loads Js on demand
*/

$LAB
	.script("https://ajax.googleapis.com/ajax/libs/jquery/1.5.1/jquery.min.js").wait()
	.script("https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.10/jquery-ui.min.js").wait()
	.script("js/aie_core.js").wait()
	.script("js/aie_explore.js")
	.wait( function() {
		if ($(".qaa-rw").length > 0) $LAB.script("js/aie_qaa.js");
		if ($(".aie-audio-text-rw").length > 0) $LAB.script("js/aie_textsound.js");
		if ($(".aie-storyline-rw").length > 0) $LAB.script("js/aie_storyline.js");
		/*if ($(".association-rw").length > 0) $LAB.script("js/aie_dad.js");
		if ($(".sequence-rw").length > 0) $LAB.script("js/aie_dad.js");*/
	});

