/**
 * AZARDI READER AND AZARDI INTERACTIVE ENGINE EXTENSIONS
 * Copyright 2007-2012 Infogrid Pacific Pte. Ltd. All rights reserved
 * Modified Date: 2012-04-25
 * 
 * @version: 1-2012-04-25
 * @author Anup Dhabarde
 */

var AppReg = function(){

	/**
	 * 	Private properties and methods.
	 */
	
	var config = {
		readerToken: null
	}
	
	var init = function (url, catalogId, orgId) {
		var self = this;
		
		// if(!self.checkToken()){
			document.title = window.opener.AME.getTitle();
			$('#modal-message').attr('value', 'Registering the reader. Please Wait...');
			var date = new Date();
	    	var dt = date.getTime();
			var request = Components.classes["@mozilla.org/xmlextras/xmlhttprequest;1"]
						  .createInstance(Components.interfaces.nsIXMLHttpRequest);
			request.onload = function(aEvent) {
				var text = aEvent.target.responseText;
				try{
					var jsObject = JSON.parse(text);
				}
				catch(e){
					window.arguments[0].out.out = false;
					window.close();
				}
				if(jsObject.TOKEN == 'FAIL' || jsObject.TOKEN == '' || jsObject.TOKEN == '0') {
					window.arguments[0].out.out = false;
					window.close();
				}
				else {
					var cat_expiry_info = jsObject.CATALOG_EXPIRY_INFO;
					var token = jsObject.TOKEN;
					self.writeTokenIntoDatabase(token);
					$.each(cat_expiry_info, function(key, value){
						catalogId = key;
						cat_expiry = value;
						self.writeCatExpiry(cat_expiry, catalogId);
					});
					config.readerToken = jsObject.TOKEN;
					window.arguments[0].out.catDownloadUrl = jsObject.CATALOG_DOWNLOAD_URL;
					window.arguments[0].out.readerToken = config.readerToken;
					window.arguments[0].out.out = true;
					window.close();
				}
			};
			request.onerror = function(aEvent) {
				// window.alert("Error Status: " + aEvent.target.status);
				window.arguments[0].out.out = false;
				window.close();
			};
			request.open("POST", url, true);
			request.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
			request.send("DT=" + dt +"&catalog=" +catalogId+"&organization_id="+orgId);
		// }
		// else{
			// window.arguments[0].out.readerToken = config.readerToken;
			// window.arguments[0].out.out = true;
			// window.close();	
		// }
	}
	
	var writeTokenIntoDatabase = function (token) {
		var self = this;
		
		var fileObj = window.opener.getFileObject(window.opener.AME.getDbFilePath());
		var table_name = 'System';

		var values = new Array(['key', 'token', 'TEXT'],
							   ['value', token, 'TEXT']);

		window.opener.insertRowIntoDatabase(fileObj, values, table_name);
	}
	
	var writeCatExpiry = function (catExpiry, catalogId) {
		var self =this;
		
		catExpiry = window.opener.GibberishAES.enc(catExpiry, catalogId);
		
		var fileObj = window.opener.getFileObject(window.opener.AME.getCdpDbFilePath());
		var table_name = 'RAF_Master';
		
		var values = new Array(['field_id', catalogId, 'TEXT'],
							   ['raf_key', 'expiry_date', 'TEXT'],
							   ['raf_value', catExpiry, 'TEXT'],
							   ['type', 'CAT', 'TEXT']);
		window.opener.insertRowIntoDatabase(fileObj, values, table_name);
	}
	
	// var checkToken = function () {
		// var self = this;
// 
		// var fileObj = window.opener.getFileObject(window.opener.AME.getDbFilePath());
		// table_name = 'System';
		// var conditions = new Array(['key', 'token', 'TEXT']);
		// var values = ['value'];
// 		
		// var statement = window.opener.getValuesFromDatabase(fileObj, values, table_name, conditions);
		// var value;
		// while (statement.executeStep()) {
			// value = statement.row.value
		// }
		// statement.finalize();
// 		
		// if(typeof value == 'undefined')
			// return false;
		// else{
			// config.readerToken = value;
			// return true;
		// }
	// }
	
	return{
		init: init,
		writeTokenIntoDatabase: writeTokenIntoDatabase,
		writeCatExpiry: writeCatExpiry
		// checkToken: checkToken
	}
}();