/**
 * AZARDI READER AND AZARDI INTERACTIVE ENGINE EXTENSIONS
 * Copyright 2007-2012 Infogrid Pacific Pte. Ltd. All rights reserved
 * Modified Date: 2012-04-25
 * 
 * @version: 1-2012-04-25
 * @author Anup Dhabarde
 */

/**
 * reader_title: Sets the title of the reader, if empty default title (AZARDI) is used.
 * reader_splash: Sets the image to be shown as splash, if empty default splash image (AZARDI) is used.
 * width: Sets the opening width of application in pixels.
 * height: Sets the opening height of application in pixels.
 * use_catalog: true|false If true catalog is used, else application opens at default library.
 * catalog_id: id|all
 * register_reader: true|false
 * register_url: URL for the registration of reader
 * db_version: Set only for AZARDI. Should match with the current AZARDI version
 * single_bookstore: true|false. Set this to true for Branded Azardi packaged for single bookstore
 * single_bookstore_url: Bookstore url goes here. should include full http path.
 */

var Bootup = {
	reader_title: "",
	reader_splash: "",
	width: 700,
	height: 700,
	use_catalog: false,
	catalog_id: "MASTERCAT",
	register_reader: false,
	register_url: "http://192.168.0.58/oar/registerreader/",
	db_version: "29.1",
	single_bookstore: false,
	single_bookstore_url: ""
};
