/**
 * AZARDI READER AND AZARDI INTERACTIVE ENGINE EXTENSIONS
 * Copyright 2007-2012 Infogrid Pacific Pte. Ltd. All rights reserved
 * Modified Date: 2012-04-25
 * 
 * @version: 1-2012-04-25
 * @author Anup Dhabarde
 */

var AzdMessages = function(){
	return{
		// when use tries to delete All Books shelf.
		cannotDeleteShelf: 'You cannot delete this shelf.',
		// When use tries to delete book from library.
		deleteBook: 'Are you sure you want to delete this book?',
		// when user tries to delete a note.
		deleteNote: 'Are you sure?',
		// when user tries to delete a shelf.
		deleteShelf: 'Are you sure?',
		// when user tries to create the duplicate shelf.
		dupShelf: 'The shelf name %name% has been used.',
		// when reader is not able to add a book in library.
		// when critical error occurs while loading the book and reader takes the user back to library.
		loadBookError: 'An error occured while trying to load the book.',
		// when user tries to create a note on multiple selections
		mulSelNoteError: 'You cannot create a note on multiple selections.',
		// when a text is not selected.
		noTextSelNoteError: 'Select at least six characters to create a note.',
		// when selected text is less than 6 characters.
		minTextSelNoteError: 'You must select at least six characters.',
		// when user tries to create a note on an element other than a paragraph.
		noParaNoteError: 'A note cannot be created here.',
		// when more than one paragraph are selected.
		mulParaSelectNoteError: 'A note can only be applied within a paragraph.',
		// when the book contains some minor errors, but it still can be displayed.
		minorBookError: 'The book contains some minor errors and may not display correctly.'
	}
}();