<?xml version="1.0"?>
<!--
# Version: 1.0
# Creator: Anirudha Shinde
# Purpose: Create array.
-->


<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/ns/SMIL" xmlns:epub="http://www.idpf.org/2007/ops">
	<!-- Preserve all spaces in output -->
	
	<xsl:strip-space elements="*"/><!-- Output as a HTML in UTF 8 encoding -->
	
	<xsl:output method="text" encoding="UTF-8" indent="yes"/><!-- Ignores processing instructions and comments in input file -->
	
	<xsl:template match="processing-instruction()|comment()"/><!-- Output all elements and its attributes as it is -->
	
	<xsl:template match="@* | node()">
		<xsl:copy>
			<xsl:apply-templates select="@* | node()"/>
		</xsl:copy>
	</xsl:template>

	<xsl:template match="/">
		<xsl:text><![CDATA[[]]></xsl:text>
			<xsl:text><![CDATA["]]></xsl:text><xsl:value-of select=".//par[1]/audio/@src"/><xsl:text><![CDATA[",]]></xsl:text><xsl:apply-templates/>
		<xsl:text><![CDATA[]]]></xsl:text>
	</xsl:template>

	<xsl:template match="//par">
		<xsl:text><![CDATA[[]]></xsl:text>
		<xsl:text><![CDATA["]]></xsl:text><xsl:value-of select="./text/@src"/><xsl:text><![CDATA[","]]></xsl:text><xsl:value-of select="./audio/@clipBegin"/><xsl:text><![CDATA[","]]></xsl:text><xsl:value-of select="./audio/@clipEnd"/>
		<xsl:text><![CDATA["]]]></xsl:text>
		<xsl:if test="name(following::*[1]) = 'par'"><xsl:text><![CDATA[,]]></xsl:text></xsl:if>
	</xsl:template>

</xsl:stylesheet>
